/Users/bernard/b20/bsoft/tcltk/bshow_misc.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_misc.tcl - Miscellaneous procedures for Bshow and other scripts.

SYNOPSIS

  Namespaces
tk::mac

  Functions
getControlWindow theimg
getImageCanvas theimg
setupControls w
Creates the right-side controls for image display.
yFlip y
Flips the display y axis.
imageCoordinatesFromCanvas x y
Returns the image coordinates given canvas coordinates.
selectColor w
Selects a color.
setPreferences
writeSettingsFile
Saves the settings file .bshow.
getFileName w
getFileName Edits a file name entry
checkType type val
setupEntry w name type var desc
setupCheckEntry w name type var cvar desc
setupScrollEntry w name var desc
setupSizeEntry w name type var desc
setupCheckSizeEntry w name type var cvar desc
updateCheckSizeEntry w var
setupNewFileEntry w name newfile desc
showHelp helpfile
Opens a text documentation file.
showURL url
Opens a URL in a web browser.
toolTip w t
showTip x y args
hideTip
updatePixelsize
Updates the pixel size.
setPixelsize theimg
Sets the pixel size.
updateOrigins
Updates the image origins from parameters.
drawOrigin
Draws the current image origin.
mousePressed c x y
Update or grabs items closeby whenever the mouse is pressed.
mouseMoved c x y b
Updates or moves grabbed items whenever the mouse is moved.
mouseReleased c
Updates grabbed or nearby items whenever the mouse is released.
showCoords
Displays updated coordinates whenever the mouse is moved.
setFOMcutoff cutoff
Sets and updates the cutoff FOM.
selectCursor
Selects a cursor for the canvas window.
configCursor_destroyWindow c w name
configCursor c name
canvas2Photo canvId
capture W format file
tk::mac::ShowPreferences
tk::mac::ShowHelp

Detailed Description

Miscellaneous procedures for Bshow and other scripts.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20190711

Definition in file bshow_misc.tcl.

Function Documentation

  canvas2PhotocanvId

Definition at line 1051 of file bshow_misc.tcl.

  captureW format file

Definition at line 1061 of file bshow_misc.tcl.

  checkTypetype val

Definition at line 468 of file bshow_misc.tcl.

  configCursorc name

Definition at line 1029 of file bshow_misc.tcl.

  configCursor_destroyWindowc w name

Definition at line 1024 of file bshow_misc.tcl.

  drawOrigin

Draws the current image origin.

Definition at line 745 of file bshow_misc.tcl.

  getControlWindowtheimg

Definition at line 47 of file bshow_misc.tcl.

  getFileNamew

getFileName Edits a file name entry

Parameters:
    w the entry window

Definition at line 459 of file bshow_misc.tcl.

  getImageCanvastheimg

Definition at line 55 of file bshow_misc.tcl.

  hideTip

Definition at line 642 of file bshow_misc.tcl.

  imageCoordinatesFromCanvasx y

Returns the image coordinates given canvas coordinates.

Parameters:
    x
    y Canvas coordinates.

Definition at line 154 of file bshow_misc.tcl.

  mouseMovedc x y b

Updates or moves grabbed items whenever the mouse is moved.

Parameters:
    c Canvas object.
    x
    y Coordinates on the canvas.
    b button pressed.

Definition at line 815 of file bshow_misc.tcl.

  mousePressedc x y

Update or grabs items closeby whenever the mouse is pressed.

Parameters:
    c Canvas object.
    x
    y Coordinates on the canvas.

Definition at line 779 of file bshow_misc.tcl.

  mouseReleasedc

Updates grabbed or nearby items whenever the mouse is released.

Parameters:
    c Canvas object.

Definition at line 870 of file bshow_misc.tcl.

  selectColorw

Selects a color.

Parameters:
    w parent window

Definition at line 171 of file bshow_misc.tcl.

  selectCursor

Selects a cursor for the canvas window.

Definition at line 969 of file bshow_misc.tcl.

  setFOMcutoffcutoff

Sets and updates the cutoff FOM.

Parameters:
    cutoff FOM cutoff value.

Definition at line 959 of file bshow_misc.tcl.

  setPixelsizetheimg

Sets the pixel size. theimg Image identifier.

Definition at line 680 of file bshow_misc.tcl.

  setPreferences

Definition at line 188 of file bshow_misc.tcl.

  setupCheckEntryw name type var cvar desc

Definition at line 486 of file bshow_misc.tcl.

  setupCheckSizeEntryw name type var cvar desc

Definition at line 522 of file bshow_misc.tcl.

  setupControlsw

Creates the right-side controls for image display.

Parameters:
    w Control window.

Definition at line 73 of file bshow_misc.tcl.

  setupEntryw name type var desc

Definition at line 476 of file bshow_misc.tcl.

  setupNewFileEntryw name newfile desc

Definition at line 543 of file bshow_misc.tcl.

  setupScrollEntryw name var desc

Definition at line 496 of file bshow_misc.tcl.

  setupSizeEntryw name type var desc

Definition at line 509 of file bshow_misc.tcl.

  showCoords

Displays updated coordinates whenever the mouse is moved.

Definition at line 909 of file bshow_misc.tcl.

  showHelphelpfile

Opens a text documentation file.

Parameters:
    helpfile File name.

Definition at line 558 of file bshow_misc.tcl.

  showTipx y args

Definition at line 636 of file bshow_misc.tcl.

  showURLurl

Opens a URL in a web browser.

Parameters:
    url URL.

Definition at line 592 of file bshow_misc.tcl.

  toolTipw t

Definition at line 627 of file bshow_misc.tcl.

  updateCheckSizeEntryw var

Definition at line 535 of file bshow_misc.tcl.

  updateOrigins

Updates the image origins from parameters.

Definition at line 696 of file bshow_misc.tcl.

  updatePixelsize

Updates the pixel size.

Definition at line 658 of file bshow_misc.tcl.

  writeSettingsFile

Saves the settings file .bshow.

Definition at line 308 of file bshow_misc.tcl.

  yFlipy

Flips the display y axis.

Parameters:
    y Canvas y value.

Definition at line 143 of file bshow_misc.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.